Bug 819233 - Broken fedora-4-*-epel.cfg symlinks in /etc/mock
Broken fedora-4-*-epel.cfg symlinks in /etc/mock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 16:02 EDT by Ville Skyttä
Modified: 2012-08-01 20:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 20:36:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-05-05 16:02:45 EDT
The following symlinks in /etc/mock point to no longer existing epel-4-*.cfg targets:

fedora-4-i386-epel.cfg -> epel-4-i386.cfg
fedora-4-ppc-epel.cfg -> epel-4-ppc.cfg
fedora-4-x86_64-epel.cfg -> epel-4-x86_64.cfg

Should be an easy fix:

--- a/mock.spec
+++ b/mock.spec
@@ -53,5 +53,2 @@ install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mock/
 pushd $RPM_BUILD_ROOT/etc/mock
-ln -s epel-4-i386.cfg   fedora-4-i386-epel.cfg
-ln -s epel-4-ppc.cfg    fedora-4-ppc-epel.cfg
-ln -s epel-4-x86_64.cfg fedora-4-x86_64-epel.cfg
 ln -s epel-5-i386.cfg   fedora-5-i386-epel.cfg
Comment 1 Clark Williams 2012-06-07 16:48:51 EDT
This got fixed in 1.1.21 and I missed putting the BZ into bohdi
Comment 2 Ville Skyttä 2012-06-08 10:50:10 EDT
It's not fixed in 1.1.22-2.1.fc17.


$ rpm -qvlp mock-1.1.22-2.1.fc17.noarch.rpm | grep -P 'fedora-4|epel-4'
lrw-r--r--    1 root    mock                       15 May  8 14:27 /etc/mock/fedora-4-i386-epel.cfg -> epel-4-i386.cfg
lrw-r--r--    1 root    mock                       14 May  8 14:27 /etc/mock/fedora-4-ppc-epel.cfg -> epel-4-ppc.cfg
lrw-r--r--    1 root    mock                       17 May  8 14:27 /etc/mock/fedora-4-x86_64-epel.cfg -> epel-4-x86_64.cfg
Comment 3 Clark Williams 2012-08-01 20:36:12 EDT
Got it in 1.1.23

Note You need to log in before you can comment on or make changes to this bug.